Public Attributes | List of all members
_exflash_timing_param Struct Reference
Peripheral Driver » HAL Driver » EXFLASH » Structures » EXFLASH AC

exFlash AC characteristics More...

`#include <gr55xx_hal_exflash.h>`

## Public Attributes
uint8_t | flash_tVSL
| VCC(min.) to device operation. More...
uint8_t | flash_tESL
| Erase suspend latency. More...
uint8_t | flash_tPSL
| Program suspend latency. More...
uint8_t | flash_tPRS
| Latency between program resume and next suspend. More...
uint8_t | flash_tERS
| Latency between erase resume and next suspend. More...
uint8_t | flash_tDP
| CS# High to Deep Power-down Mode. More...
uint8_t | flash_tRES2
| CS# High To Standby Mode With Electronic Signature Read. More...
uint8_t | flash_tRDINT
| Read status register interval when wait busy. More...

## Detailed Description

exFlash AC characteristics

Definition at line 145 of file gr55xx_hal_exflash.h.

## Member Data Documentation

## ◆ flash_tDP

uint8_t _exflash_timing_param::flash_tDP

CS# High to Deep Power-down Mode.

Uint: 5us

Definition at line 157 of file gr55xx_hal_exflash.h.

## ◆ flash_tERS

uint8_t _exflash_timing_param::flash_tERS

Latency between erase resume and next suspend.

Uint: 5us

Definition at line 155 of file gr55xx_hal_exflash.h.

## ◆ flash_tESL

uint8_t _exflash_timing_param::flash_tESL

Erase suspend latency.

Uint: 5us

Definition at line 149 of file gr55xx_hal_exflash.h.

## ◆ flash_tPRS

uint8_t _exflash_timing_param::flash_tPRS

Latency between program resume and next suspend.

Uint: 5us

Definition at line 153 of file gr55xx_hal_exflash.h.

## ◆ flash_tPSL

uint8_t _exflash_timing_param::flash_tPSL

Program suspend latency.

Uint: 5us

Definition at line 151 of file gr55xx_hal_exflash.h.

## ◆ flash_tRDINT

uint8_t _exflash_timing_param::flash_tRDINT

Read status register interval when wait busy.

Uint: 5us

Definition at line 161 of file gr55xx_hal_exflash.h.

## ◆ flash_tRES2

uint8_t _exflash_timing_param::flash_tRES2

CS# High To Standby Mode With Electronic Signature Read.

Uint: 5us

Definition at line 159 of file gr55xx_hal_exflash.h.

## ◆ flash_tVSL

uint8_t _exflash_timing_param::flash_tVSL

VCC(min.) to device operation.

Uint: 10us

Definition at line 147 of file gr55xx_hal_exflash.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_exflash.h